package com.cultural.heritage.config;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.context.annotation.Configuration;

import java.io.Serial;
import java.io.Serializable;


/**
 * 微信小程序获取waybillToken响应体
 */
@Configuration
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class WxWaybillToken implements Serializable {

    @Schema(description = "返回码")
    private Integer errcode;

    @Schema(description = "错误信息")
    private String errmsg;

    @Schema(description = "物流查询id")
    private String waybill_token;

    @Serial
    private static final long serialVersionUID = 1L;
}
