package com.cultural.heritage.model.dto.appointment;

import com.cultural.heritage.model.dto.timePeriod.TimePeriodAddRequest;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

@Data
@Schema(description = "预约日期请求体", requiredProperties = {
        "timeSlot", "isAvailable", "minNumber", "maxNumber", "timePeriodAddRequestList"
})
public class AppointmentDateAddRequest implements Serializable {


    /**
     * 具体预约时间
     */
    @Schema(description = "具体预约时间", example = "2024-12-04")
    private String specificDate;

    /**
     * 是否可预约
     */
    @Schema(description = "是否可预约", example = "1")
    private Integer isAvailable;

    /**
     * 预约时间段列表
     */
    private List<TimePeriodAddRequest> timePeriodAddRequestList;


    @Serial
    private static final long serialVersionUID = 1L;
}
