package com.cultural.heritage.model.dto.good;

import com.baomidou.mybatisplus.annotation.TableField;
import com.cultural.heritage.common.PageRequest;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;

@EqualsAndHashCode(callSuper = true)
@Data
@Schema(description = "商品查询请求体", requiredProperties = {"current", "pageSize"})
public class GoodQueryRequest extends PageRequest implements Serializable {

    /**
     * id
     */
    @Schema(description = "商品id(id > 0)", example = "17")
    private Long id;

    /**
     * 商品名
     */
    @Schema(description = "商品名", example = "非遗香囊")
    private String name;

    /**
     * 商品类型
     */
    @Schema(description = "商品类型", example = "材料包")
    private String type;

    /**
     * 限定节日名称
     */
    @Schema(description = "节日名称(端午节，中秋节)", example = "元旦节")
    private String festivalName;

    /**
     * 是否上架
     */
    @Schema(description = "是否上架(1:上架;0:下架)", example = "1")
    private Integer isShelves;

    @Serial
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}
