package com.cultural.heritage.model.dto.refund;

import com.cultural.heritage.common.PageRequest;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;


@EqualsAndHashCode(callSuper = true)
@Data
@Schema(description = "退款记录查询请求体", requiredProperties = {"outTradeNo"})
public class RefundRecordQueryRequest extends PageRequest implements Serializable {


    /**
     * 商户单号
     */
    @Schema(description = "商户单号", example = "20250206220922442039734342343")
    private String outTradeNo;


    @Serial
    private static final long serialVersionUID = 1L;
}
