package com.cultural.heritage.model.dto.user;

import com.cultural.heritage.common.PageRequest;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;
@Data
@EqualsAndHashCode(callSuper = true)
@Schema(description = "用户查询请求体", requiredProperties = {"current", "pageSize"})
public class UserQueryRequest extends PageRequest implements Serializable {

    /**
     * id
     */
    @Schema(description = "用户id(id > 0)", example = "2")
    private Long id;

    /**
     * 小程序openId
     */
    @Schema(description = "小程序openId", example = "fdji23ri23i423423d")
    private String miniOpenId;

    /**
     * 用户昵称
     */
    @Schema(description = "用户昵称", example = "chenxinzhi")
    private String userName;


    /**
     * 用户角色：user/admin/ban
     */
    @Schema(description = "用户角色", example = "user")
    private String userRole;

    @Serial
    private static final long serialVersionUID = 1L;
}
