package com.cultural.heritage.model.dto.user;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "用户更新请求体", requiredProperties = {"id", "userPassword", "userName", "userAvatar", "userRole"})
public class UserUpdateRequest implements Serializable {


    /**
     * id
     */
    @Schema(description = "用户id(id > 0)", example = "2")
    private Long id;

    /**
     * 密码
     */
    @Schema(description = "用户密码", example = "34234342342")
    private String userPassword;

    /**
     * 用户名
     */
    @Schema(description = "用户昵称", example = "cxz")
    private String userName;

    /**
     * 头像
     */
    @Schema(description = "用户头像", example = "https://xxx/xxx.jpg")
    private String userAvatar;


    /**
     * 用户角色
     */
    @Schema(description = "用户角色(包括boss, admin, user, ban, 但只能一个超级管理员创建管理员)", example = "admin")
    private String userRole;

    @Serial
    private static final long serialVersionUID = 1L;

}
