package com.cultural.heritage.service.order;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cultural.heritage.model.dto.clothesRentOrder.ClothesRentOrderAddRequest;
import com.cultural.heritage.model.dto.clothesRentOrder.ClothesRentOrderQueryRequest;
import com.cultural.heritage.model.entity.ClothesRentOrder;

public interface ClothesRentOrderService extends IService<ClothesRentOrder> {

    /**
     * 获取查询条件
     */
    QueryWrapper<ClothesRentOrder> getQueryWrapper(ClothesRentOrderQueryRequest clothesRentOrderQueryRequest);



    /**
     * 校验服装租赁订单请求体
     */
    void validClothesRentOrder(ClothesRentOrderAddRequest clothesRentOrderAddRequest);



    /**
     * 向消息队列中发送订单创建的消息
     */
    void sendClothesRentOrderMessage(Long orderId);



    /**
     * 向消息队列中发送服装租赁倒计时的消息
     */
    void sendClothesRentPeriodMessage(Long id, Integer days);
}
